<?php

namespace App\Http\Requests\Admin;

use App\Models\Basket;
use Illuminate\Foundation\Http\FormRequest;

class BasketIndexRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return $this->user()->can('viewAny', Basket::class);
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            //
        ];
    }
}
